> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/eng/receiving-a-fiscal-receipt.md).

# Receiving a fiscal receipt

<mark style="color:green;">`GET`</mark>`https://agwsapi.tarlanpayments.kz/fiscalization/api/v1/payment/fiscalization/order`

### Headers

<table><thead><tr><th>Name</th><th>Value</th><th data-hidden></th></tr></thead><tbody><tr><td>Content-Type</td><td>application/json</td><td></td></tr><tr><td>X-Signature</td><td><a href="/pages/Ctew6kQYiAvHWqEwccyg">Authorization hash</a></td><td></td></tr></tbody></table>

### Query params

| Name                    | Description                               |
| ----------------------- | ----------------------------------------- |
| provider\_order\_id     | Payment ID on the service provider's side |
| provider\_code          | Service Provider's code                   |
| provider\_service\_code | Service Provider's Service Code           |

### Response body parameters

<table><thead><tr><th width="211">Name</th><th width="145">Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>boolean</td><td>Request processing status</td></tr><tr><td>status_code</td><td>uint</td><td>Error code</td></tr><tr><td>message</td><td>string</td><td>Error description</td></tr><tr><td>result</td><td>object</td><td>The object that stores the query result</td></tr><tr><td>-fiscal_number</td><td>string</td><td>The fiscal attribute of the receipt</td></tr><tr><td>-fiscal_check_url</td><td>string</td><td>The link for displaying the fiscal receipt</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK  Example of a successful response" %}

```
{
    "status": true,
    "message": "Success",
    "result": {
        "fiscal_number": "123456789123",
        "fiscal_check_url": "https://link.kz"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request Example of an error response" %}

```
{
    "status": false,
    "status_code": 1014,
    "message": "Invalid signature",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

```bash
curl --location 'https://agwsapi.tarlanpayments.kz/fiscalization/api/v1/payment/fiscalization/order?provider_order_id=pr10010&provider_code=code&provider_service_code=service_code'
--header 'X-Signature: 3eec10e27f3b9ee198d2edfbf7ff7bce431940d88ed4201assadzxczxczxasd'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/eng/receiving-a-fiscal-receipt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
